Update architecture uncertainty
PATCH
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuiduncertainty_id*Uncertainty IdFormat
uuidapplication/json- body
owner_id?|nullresolution_summary?|nullstate?|nullSuccessful Response
application/json- response
alternatives*array<>blocking*Blockingcreated_at*Created AtFormat
date-timedetail*Detaildetected_at*Detected AtFormat
date-timeevidence_ids*array<>field*string|nullid*IdFormat
uuidlast_observed_at*Last Observed AtFormat
date-timeowner_id*|nullreason*UncertaintyReasonValue in
"missing_source""missing_signal""stale_evidence""conflicting_evidence""partial_collection""collection_failed""inferred_claim""insufficient_coverage""unsupported_claim"repository_id*|nullresolution_summary*string|nullresolved_at*|nullscope*UncertaintyScopeValue in
"source""entity""relationship""path""answer""decision""report"snapshot_id*|nullsource_keys*array<string>state*UncertaintyStateValue in
"open""investigating""accepted""resolved""superseded"subject_key*Subject Keyupdated_at*Updated AtFormat
date-timeworkspace_id*Workspace IdFormat
uuidcurl -X PATCH 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/architecture/uncertainties/497f6eca-6276-4993-bfeb-53cbbbba6f08' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "alternatives": [ { "evidence_ids": [ "973ab5a6-b373-447d-ab9d-bdb660b35afc" ], "observed_at": "2019-08-24T14:15:22Z", "source_keys": [ "string" ], "source_refs": [ "string" ], "value": "string" } ], "blocking": true, "created_at": "2019-08-24T14:15:22Z", "detail": "string", "detected_at": "2019-08-24T14:15:22Z", "evidence_ids": [ "973ab5a6-b373-447d-ab9d-bdb660b35afc" ], "field": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "last_observed_at": "2019-08-24T14:15:22Z", "owner_id": "8826ee2e-7933-4665-aef2-2393f84a0d05", "reason": "missing_source", "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3", "resolution_summary": "string", "resolved_at": "2019-08-24T14:15:22Z", "scope": "source", "snapshot_id": "163831af-8c1b-4992-a9cf-88c6306604c0", "source_keys": [ "string" ], "state": "open", "subject_key": "string", "updated_at": "2019-08-24T14:15:22Z", "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"}